RelayAPI

Get subreddit feed

GET
/v1/reddit/feed
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

cursor?string

Pagination cursor

limit?integer

Number of items per page

Range1 <= value <= 100
Default20
from?string

Filter: start date (ISO 8601)

Formatdate-time
to?string

Filter: end date (ISO 8601)

Formatdate-time
subreddit*string

Subreddit name

sort?string

Sort order

Default"hot"

Value in

  • "hot"
  • "new"
  • "top"
  • "rising"
time?string

Time filter (for top sort)

Value in

  • "hour"
  • "day"
  • "week"
  • "month"
  • "year"
  • "all"
account_id*string

Reddit account ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/reddit/feed?subreddit=string&account_id=string"
{  "data": [    {      "id": "string",      "subreddit": "string",      "title": "string",      "author": "string",      "url": "string",      "selftext": "string",      "score": 0,      "num_comments": 0,      "created_utc": 0,      "thumbnail": "string",      "is_self": true,      "nsfw": true    }  ],  "next_cursor": "string",  "has_more": true}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo